Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_customer_SmartEntityReference

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference
            |
            +--com.beasys.commerce.ebusiness.order.Order_customer_SmartEntityReference

public class Order_customer_SmartEntityReference
extends com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference

Base class for all SmartEntityReference for 1:1 Entities for BMP. Each subclass must implement its own query to fill the map.

See Also:
  Serialized Form

Constructor Summary
`Order_customer_SmartEntityReference(java.lang.String attributeIdentifier, java.lang.Object container)` constructor

Method Summary
`javax.ejb.EJBObject` | `doQuery(java.lang.String attributeIdentifier, java.lang.Object container)` Perform the database query to fill this map.

Methods inherited from class com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference
`compareTo, compareTo, getEJBObject, getJNDIName, setEJBObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_customer_SmartEntityReference

    public Order_customer_SmartEntityReference(java.lang.String attributeIdentifier,
                                               java.lang.Object container)

  constructor

  Parameters:
    `attributeIdentifier` - the attribute identifier for this entity. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is an entity in the class
    `entityImpl` - the entity that contains this entity.

Method Detail

### doQuery

    public javax.ejb.EJBObject doQuery(java.lang.String attributeIdentifier,
                                       java.lang.Object container)

  Perform the database query to fill this map.

  Overrides:
    doQuery in class com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved